{% extends "base.html" %}
{% load static %}
{% block titulo %}
Transferencias Recibidas
{% endblock titulo %}
{% block content1 %} 
<script type="text/javascript">
  $("#navTrans").attr('class','dropdown active');
  $("#navTransRecibidas-alterna").attr('class','active');
</script>
<style type="text/css">
  .input-group-addon {
    padding: 0px 6px;
}
.fila-corto{
  margin-bottom: 5px;
}
</style>
        <div class="row">
          <div class="col-md-12 col-sm-12" >
              <div class="panel panel-default">
                <div class="panel-heading panel-toolbar" > 
                  <strong>TRANSFERENCIAS RECIBIDAS</strong>
                  <div>
                    <button type="button" class="btn btn-default btn-sm" id="RefrescarLista"><span class="fa fa-refresh"></span> Actualizar</button>
                    <button type="button" class="btn btn-default btn-sm" id="btnImprimir"><i class="fa fa-print"></i> Imprimir</button>
                  </div>
                </div>
                <div class="panel-body">
                   <div class="row" >
                    <h4 class="bg-success" align="center" id="ExitoMensaje">
                    </h4>
                  </div>
                  <div class="row">
                    <div class="col-md-4">
                      <div class="fg-line"> 
                      <input type="text" class="form-control" placeholder="Nombre o Apellidos (Beneficiado o Solicitante)" id="filtro">
                      </div>
                      <p></p>
                    </div>
                    <div class="col-md-1" >
                      <button type="button" class="btn btn-primary btn-sm" id="buscar"><i class="fa fa-search"></i> Buscar</button>
                      <p></p>
                    </div>
                    <div class="col-md-2">
                         <div class="checkbox">
                            <label>
                              <input id="ts4" type="checkbox" value="success-inverse1"> Solo activos
                            </label>
                        </div> 
                       </div> 
                      <div class="col-md-2">
                         <div class="checkbox">
                            <label>
                              <input type="checkbox" id="act"> Buscar solo en Activos
                            </label>
                          </div>
                      </div>
                    <!--
                    <div class="col-md-1 col-md-offset-4" >
                      <button type="button" class="btn btn-info btn-sm" id="filtro_bancos" data-toggle="modal" data-target="#modalFiltroBanco">Filtro Bancos</button>
                      <p></p>
                    </div>
                    <div class="col-md-2" >
                      <button type="button" class="btn btn-warning btn-block btn-sm" id="filtroX" data-toggle="modal" data-target="#modalFiltroAvanzado"><span class="glyphicon glyphicon-cog"></span> Filtro Avanzado</button>
                      <p></p>
                    </div>
                    -->
                  </div>
                  <div class="row">
                      <div class="col-md-12">
                          <div class="table-responsive">
                            <table class="table table-hover table-bordered">
                                <thead>
                                  <tr >
                                    <th>Beneficiado</th>
                                    <th>Monto</th>
                                    <th>Solicitante</th>
                                    <th>Fecha</th>
                                    <th>Oficina Origen</th>
                                    <th>S/T</th>
                                    <th>Comisión</th>
                                    <th>Banco</th>
                                    <th>Otros</th>
                                    <th>Moneda</th>
                                    <th>Detalle</th>
                                    <th>Estado</th>
                                  </tr>
                                </thead>
                                <tbody id="listaTransf">
                                 
                                </tbody>
                            </table>
                          </div>
                      </div>
                  </div>
                </div>
              </div>
          </div>
        </div>
<div id="myModal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
      <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
             <label class="modal-title" id="myModalLabel">Transferencia</label>
          </div>
        <div class="modal-body" id="myModalBody">
          <div class="row">
            <div class="col-md-6" >
                <div class="panel panel-default" id="divPago">
                  <div class="panel-heading" align="center"> <strong>SOLICITANTE</strong></div>
                  <div class="panel-body">
                    <div class="row myb-4">
                      <div class="col-md-8">
                        <div class="form-group">
                          <div class="input-group">
                            <div class="input-group-addon" ><label>DNI/RUC:</label></div>
                            <input type="text" class="form-control" id="txtDNI">
                          </div>
                        </div>
                      </div>
                      
                    </div>
                    <div class="row myb-4">
                        <div class="col-md-12"> 
                          <label>Nombres: <b id="txtNombres_Soli"></b></label> 
                        </div>
                    </div>
                    <div class="row">
                            <div class="panel panel-default">
                              <div class="panel-heading" align="center"> <strong>BENEFICIADO</strong></div>
                            </div>
                          </div>
                    <div class="row">
                        <div class="col-md-12"> 
                          <label>Nombres <b id="txtNombres_Bene"></b></label> 
                        </div>

                    </div>
                    <!--
                    <p></p>
                      <div class="row hidden" style="color:#ff1205" id="divReniec">
                        <div class="col-md-4 col-md-offset-1" align="right"> 
                          <label id="txtNARBD">Nombres y Apellidos </label> 
                        </div>
                        <div class="col-md-6">
                          <label ><b id="txtNombres_BeneReniec"></b></label>
                        </div> 
                    </div>
                    <p></p>
                    -->
                    <div class="row myb-4" id="divDNI">
                      <div class="col-md-8">
                        <div class="form-group">
                          <div class="input-group">
                            <div class="input-group-addon" ><label>DNI</label></div>
                            <input type="text" class="form-control" id="txtN">
                          </div>
                        </div>
                      </div>
                    </div>
                    
                    <div class="row myb-4 hidden" id="divNroCta">
                      <div class="col-md-12">
                        <div class="form-group">
                          <div class="input-group">
                            <div class="input-group-addon" ><label>Nro Cta</label></div>
                            <input type="text" class="form-control" id="txtNroCta" placeholder="Ingrese Nro Cta">
                          </div>
                        </div>
                      </div>
                    </div>

                    <div class="row">
                      <div class="col-md-12 hidden" id="txtDivMsje">
                           <label style="color:red"><b id="txtMsjNroCta"></b></label>  
                        </div>
                    </div>

                    
                  </div>
                </div>
                <div class="panel panel-default" id="divDetBanco">
                  <div class="panel-heading">DETALLE BANCO</div>
                  <div class="panel-body" style="padding-top:0px;">
                    <div class="row" id="div_estado_banco">
                      <div class="col-md-12" align="center" style="padding:10px;">
                        <b id="b_estado_banco"></b>
                      </div>
                    </div>
                    <div class="row fila-corto">
                      <div class="col-md-10 col-md-offset-1">
                        <div class="input-group">
                          <div class="input-group-addon"><label>BANCO</label></div>
                          <input type="text" class="form-control" id="txtdetb-banco" name="detb-banco" autocomplete="off" disabled>
                        </div>
                      </div>
                    </div>

                    <div class="row fila-corto">
                      <div class="col-md-10 col-md-offset-1">
                        <div class="input-group">
                          <div class="input-group-addon"><label>N° Cuenta / DNI:</label></div>
                          <input type="text" class="form-control" id="txtdetb-nrocta" name="detb-nrocta" autocomplete="off" disabled>
                        </div>
                      </div>
                    </div>
                    <div class="row fila-corto">
                      <div class="col-md-10 col-md-offset-1">
                        <div class="input-group">
                          <div class="input-group-addon"><label>Cel Referencia:</label></div>
                          <input type="text" class="form-control" id="txtdetb-celref" name="detb-celref" autocomplete="off" disabled>
                        </div>
                      </div>
                    </div>
                    <div class="row fila-corto">
                      <div class="col-md-10 col-md-offset-1">
                        <div class="input-group">
                          <div class="input-group-addon"><label>Nro Operacion:</label></div>
                          <input type="text" class="form-control" id="txtdetb-nroope" name="detb-nroope" autocomplete="off">
                        </div>
                      </div>
                    </div>
                    <div class="row fila-corto">
                      <div class="col-md-10 col-md-offset-1">
                        <div class="input-group">
                          <div class="input-group-addon"><label>Nro Giro:</label></div>
                          <input type="text" class="form-control" id="txtdetb-nrogiro" name="detb-nrogiro" autocomplete="off">
                        </div>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-md-10 col-md-offset-1">
                        <div class="input-group">
                          <div class="input-group-addon"><label>Clave de cobro:</label></div>
                          <input type="text" class="form-control" id="txtdetb-clave" name="detb-clave" autocomplete="off">
                        </div>
                      </div>
                    </div>
                    <!--
                    <p></p>
                    <div class="row">
                      <div class="col-md-10 col-md-offset-1">
                        <button  type="button" class="btn btn-primary" id="btn_verificado" style="background-color:#3f3479;">Verificado</button>
                         <button  type="button" class="btn btn-info btn-xs" id="btn_anular_verificado">Anular Verificado</button>
                      </div>
                    </div>
                    -->
                    <p></p>
                    <div class="row">
                      <div class="col-md-10 col-md-offset-1">
                        <button  type="button" class="btn btn-warning" id="btn_leido_banco">Leido Banco</button>
                         <button  type="button" class="btn btn-danger btn-xs" id="btn_anular_leido_banco">Anular Leido Banco</button>
                      </div>
                    </div>
                    
                  </div>
                </div>
            </div>
            <div class="col-md-6">
              <div class="panel panel-success">
                <div class="panel-heading"><strong>Pago de Transferencia</strong></div>
                <div class="panel-body">
                    <div class="row myb-4">
                        <div class="col-md-8">
                          <div class="form-group">
                            <div class="input-group">
                              <div class="input-group-addon" ><label>ID</label></div>
                              <input type="text" class="form-control" id="txtIDtrans" disabled="disabled">   
                            </div>
                          </div>
                        </div>
                    </div>
                    <div class="row myb-4">
                      <input type="hidden" id="txtDniMenor">
                      <div class="col-md-8">
                        <div class="form-group">
                          <div class="input-group">
                            <div class="input-group-addon" ><label>Estado</label></div>
                            <input type="text" class="form-control" id="txtEstadoTrans" disabled="disabled">
                          </div>
                        </div>
                      </div>
                    </div>

                    <div class="row myb-4 hidden" id="divNroCtaST"> 
                      <div class="col-md-12">
                        <div class="form-group">
                          <div class="input-group">
                            <div class="input-group-addon" ><label>Nro de Cta:</label></div>
                            <input type="text" class="form-control" id="txtNroCtaBanco" disabled="disabled">
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-md-12"> 
                        <h4 >Nro Recibo: <b id="txtnr"></b></h4> 
                      </div>
                    </div>
                    <div class="row myb-4">
                      <div class="col-md-8">
                        <div class="form-group">
                          <div class="input-group">
                            <div class="input-group-addon" ><label>Fecha</label></div>
                            <input type="text" class="form-control" id="txtFecha" disabled="disabled">   
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="row myb-4">
                      <div class="col-md-12">
                        <div class="form-group">
                          <div class="input-group">
                            <div class="input-group-addon" ><label>Emisor</label></div>
                            <input type="text" class="form-control" id="txtPersonalE" disabled="disabled">   
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="row myb-4">
                      <div class="col-md-12">
                        <div class="form-group">
                          <div class="input-group">
                            <div class="input-group-addon" ><label>Origen</label></div>
                            <input type="text" class="form-control" id="txtOficinaOri" disabled="disabled">   
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-md-12"> 
                        <h3 >Cantidad: <b id="txtMonto"></b></h3> 
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-md-12"> 
                        <h4 >Comisión: <b id="txtComicion"></b></h4> 
                      </div>
                    </div>
                    <div class="row myb-4">
                        <div class="col-md-12">
                          <label>Observaciones / Detalle</label> 
                        </div>
                        <div class="col-md-12">
                          <!--
                          <input type="text" class="form-control" id="txtObs" disabled="disabled">-->
                          <textarea class="form-control" rows="3" id="txtotros_con" disabled="disabled" ></textarea >         
                        </div> 
                    </div>
                    <!--
                    <div class="row">
                        <div class="col-md-4 col-md-offset-1" align="right"> 
                          <label>Observaciones</label> 
                        </div>
                        <div class="col-md-7">
                          <textarea class="form-control" rows="2" id="txtObs" disabled="disabled" ></textarea >         
                        </div> 
                    </div>
                    -->
                    <!--
                    <div class="row myb-4">
                      <div class="col-md-12">
                        <div class="form-group">
                          <div class="input-group">
                            <div class="input-group-addon" ><label>Pagador</label></div>
                            <input type="text" class="form-control" id="txtPagador" disabled="disabled">   
                          </div>
                        </div>
                      </div>
                    </div>

                    <div class="row myb-4">
                      <div class="col-md-12">
                        <div class="form-group">
                          <div class="input-group">
                            <div class="input-group-addon" ><label>Fecha Pago</label></div>
                            <input type="text" class="form-control" id="txtFechaPago" disabled="disabled">   
                          </div>
                        </div>
                      </div>
                    </div>
                    -->
                    {% ifequal Egreso_pt 'si' %}
                    <div class="row myb-4">
                      <div class="col-md-12">
                        <div class="form-group">
                          <div class="input-group">
                            <div class="input-group-addon" ><label>Egreso</label></div>
                            <input type="text" class="form-control" id="txtEgreso">   
                          </div>
                        </div>
                      </div>
                    </div>
                    {% endifequal %}
                    <!--
                    <div class="row myb-4">
                      <div class="col-md-12">
                        <div class="form-group">
                          <div class="input-group">
                            <div class="input-group-addon" ><label>Ingreso</label></div>
                            <input type="text" class="form-control" id="txtIngreso" placeholder="0.00">
                          </div>
                        </div>
                      </div>
                    </div>
                    -->
                    <div class="row myb-4" id="campo_cel">
                      <div class="col-md-12">
                        <div class="form-group">
                          <div class="input-group">
                            <div class="input-group-addon" ><label>Celular Benficiado</label></div>
                            <input type="text" class="form-control" id="txtcel_bene" name="CelularBene"  style="font-size:16px;font-weight:bold;" maxlength="9" placeholder=" Celular Beneficiado">   
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="row myb-4" id="areap">
                        <div class="col-md-12">
                          <label>Observaciones de pago</label> 
                        </div>
                        <div class="col-md-12">
                          <!--
                          <input type="text" class="form-control" id="txtObs" disabled="disabled">-->
                          <textarea class="form-control" rows="2"  id="txtObspa"></textarea >         
                        </div> 
                    </div>
                    <div class="row alert alert-warning" id="area_transfExpi">
                      <div class="row myb-4">
                        <div class="col-md-12">
                          <p>Esta transferecia tiene <b id="nrodias"></b> dia(s) de retraso. Por favor ingrese el codigo de autorizacion, en caso que no tenga ponga click en la opcion <b>Solicitar Codigo</b></p>
                        </div>
                      </div>
                      <div class="row myb-4">
                        <div class="col-md-4 col-md-offset-7">
                          <button type="button" class="btn btn-success btn-block btn-xs"id="solCod">Solicitar Codigo</button>
                        </div>
                      </div>
                      <div class="row myb-4">
                        <div class="col-md-12">
                          <div class="form-group">
                            <div class="input-group">
                              <div class="input-group-addon" ><label>Codigo de Autorizacion: </label></div>
                              <input type="text" class="form-control" placeholder="Ingrese el codigo de autorizacion" id="txtCodA">   
                            </div>
                          </div>
                        </div>
                      </div>
                      
                    </div>

                    <div class="row">
                      <div class="col-md-8 col-md-offset-2">
                        <button  type="button" class="btn btn-primary btn-block" data-loading-text="<i class='fa fa-spinner fa-spin '></i> Consultando DNI..." id="pagoT">Pagar Transferencia</button>
                      </div>
                    </div>
                </div>
              </div>
            </div>
          </div>
        </div>

      </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->
<div id="modal1" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
          <h4 class="modal-title" id="myModalLabel">Detalles</h4>
        </div>


         <div class="modal-body">
          <div  id="platillaI" style="font-family:'arial', Monaco, monospace;font-size:18px;">  
            <table>
               <tr style="text-align: center;">
                <td align="center"><img src="{% static 'img/golden-letras.png' %}" style="width: 380px; padding-bottom:20px;"></td>
              </tr>
            </table>
            <table>
               <tr style="border-top: 1px solid #000">
                <td width="15%"></td>
                <td><h4>PAGO DE TRANSFERENCIA</h4></td>
                <td nowrap width="14%"></td>
              </tr>
            </table>  
            <table>   
              <tr>
                <td nowrap style="text-align: left;"><h4 id="nror"></h4> </td>
                <td nowrap style="padding-left: 50px"><h4 id="idST"></h4> </td>
                <td nowrap style="padding-right:10px"></td>
              </tr>
              <tr>
                <td nowrap>FECHA ENVÍO:  </td>
                <td nowrap style="padding-left: 20px"><span id="fechaCreacion"></span></td>
                <td nowrap></td>
              </tr>
            </table> 
            <p></p>
             <table>
              <tr>
                <td nowrap>FECHA PAGO: </td>
                <td style="padding-left: 20px"> <span id="fepa"><span> </td>
                <td nowrap>| <span id="hopa"><span></td>
              </tr>
            </table>

             <table>
               <tr>
                <td nowrap><h3><b>MONTO:</b></h3></td>
                <td nowrap></td>
                <td nowrap><h3><b id="plM"></b></h3></td>
              </tr>
            </table>

            <table>
              <tr>
                <td nowrap>PROCEDENCIA:</td>
                <td style="padding-left: 20px"> <h4 id="plOri"><h4></td>
                <td nowrap></td>
              </tr>
            </table>

            <table>
               <tr>
                <td nowrap style="padding-bottom: 18px;">REMITENTE:</td>
                <td nowrap style="padding-left: 15px;white-space: pre;"><span id="plR"></span></td>
                <td nowrap></td>
              </tr>
               <tr>
                <td nowrap style="padding-bottom: 18px;">BENEFICIADO:</td>
                <td nowrap style="padding-left: 15px;white-space: pre;"><span id="plB"></span></td>
                <td nowrap></td>
              </tr>
            </table>

            <table>
              <tr>
                <td nowrap>OBSERVACIONES:</td>
                <td style="padding-left: 20px" id="plObs"></td>
                <td nowrap></td>
              </tr> 
            </table>
            <br></br>
             <table>
              
              <tr>
                <td nowrap>____________________</td>
                <td style="padding-left: 20px"></td>
                <td nowrap></td>
              </tr>
              <tr>
                 <td nowrap>OP. {{ nombre_usuario }}</td>
                <td style="padding-left: 20px"></td> 
                <td nowrap><div style="margin-top:-40px;width:75px;height:85px;border:1px solid #000;"> </div></td>
              </tr>
              <p></p>
              <p></p>
              <tr>
                <td nowrap>____________________</td>
                <td style="padding-left: 20px"></td>
                <td nowrap></td>
              </tr>
              <tr>
                 <td nowrap><b id="idn"></b></td>
                <td style="padding-left: 20px"></td>
                <td nowrap></td>
              </tr>
             
            </table>
               
          </div>
        </div>

        <div class="modal-footer">
          <hr>
          <button type="button" class="btn btn-primary" data-dismiss="modal">Cerrar</button>
        </div>

      </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<div id="modalrecibo1212" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
    
  </div>
        <div class="modal-body">
          <div  id="platillaIngreso" style="font-family:'Lucida Console', Monaco, monospace;font-size:13px;">
            <label align="center"><b>RECIBO DE INGRESO</b></label>
            <table>
              <tr nowrap>=====================================</tr>
            </table>
            <table>
              <tr>
                <td><label id="oficinaReciboin"></label></td>
                <td><b>N°: </b><spanid="nroin"></span> </td>
              </tr>
            </table>
            
            <table>
              <tr>
                <td id="fechaReciboin" nowrap></td>
                
              </tr>
            </table>
            <br>
           
            <b>Monto:</b>
            <p id="importein"></p>
            <b>CONCEPTO:</b>
            <p >Ingreso extra por pago de trasnferencia PT-<span id="ptin"></span></p>
            <br>
            <table>
              <tr>
                <td>_________________</td>
                
              </tr>
              <tr>
                <td nowrap><h6>OP. {{ nombre_usuario }}</h6> </td>

              </tr>
            </table>
            <p id="horaReciboin"></p>
          </div>
        </div>
    
      </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->
<div id="modalrecibo2221" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
    
  </div>
        <div class="modal-body">
          <div  id="platillaEgreso" style="font-family:'Lucida Console', Monaco, monospace;font-size:13px;">
            <label align="center"><b>RECIBO DE EGRESO</b></label>
            <table>
              <tr nowrap>=====================================</tr>
            </table>
            <table>
              <tr>
                <td><label id="oficinaReciboeg"></label></td>
                <td><b>N°: </b><spanid="nroeg"></span> </td>
              </tr>
            </table>
            
            <table>
              <tr>
                <td id="fechaReciboeg" nowrap></td>
                
              </tr>
            </table>
            <br>
           
            <b>Monto:</b>
            <p id="importeeg"></p>
            <b>CONCEPTO:</b>
            <p >Egreso extra por pago de trasnferencia PT-<span id="pteg"></span></p>
            <br>
            <table>
              <tr>
                <td>_________________</td>
                
              </tr>
              <tr>
                <td nowrap><h6>OP. {{ nombre_usuario }}</h6> </td>

              </tr>
            </table>
            <p id="horaReciboeg" nowrap></p>
          </div>
        </div>
    
      </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->
<div id="modal_confirmacion" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
          <br>
        </div>
        <div class="modal-body alert alert-warning"role="alert">
          <div class="row">
            <div class="col-md-12">
              <div class="row grp_alr" align="center">
                <h3>PAGAR TRANSFERENCIA ?</h3>
              </div>
              <div class="row grp_alr" align ="center">
                <label>Esta acción sera irreversible!</label>
              </div>
              <div class="row grp_pgs" align="center" hidden>
                  <h3>PROCESANDO...</h3>
              </div>
              <div class="row grp_pgs" hidden>
                <div class="progress">
                  <div class="progress-bar progress-bar-striped active" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100" style="width: 100%">
                  </div>
                </div>
              </div>
              <div class="row grp_alr">
                <div class="col-md-4 col-md-offset-2">
                  <button type="button" class="btn btn-default btn-block" data-dismiss="modal">Cancelar</button>
                </div>
                <div class="col-md-4">
                  <button type="button" class="btn btn-danger btn-block" id="alert_aceptar">PAGAR?</button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->


<div id="modal_confirmacion_reniec" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
          <br>
        </div>
        <div class="modal-body alert alert-warning"role="alert">
          <div class="row">
            <div class="col-md-12">

              <div class="row" align="center">
                <h4><strong>LOS DATOS DEL BENEFICIADO NO CONCUERDAN CON LOS DE LA RENIEC</strong></h4>
              </div>
              <div class="row" align ="center">
                <label><strong id="txtDatosC"></strong> </label>
              </div>
               <div class="row" align ="center">
                <label><strong id="txtDatosR"></strong></label>
              </div>
               <div class="row" align ="center">
                <label><strong id="txtMensaje"></strong></label>
              </div>
             
              <div class="row">
                 
                <div class="col-md-offset-4 col-md-4">
                  <button type="button" class="btn btn-danger btn-block" data-dismiss="modal">Aceptar</button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<!-- modal de filtro avanzado -->
<div id="modalFiltroAvanzado" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
          <h4 class="modal-title" id="myModalLabel">FILTRO AVANZADO</h4>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-md-2 col-md-offset-5">
              <div class="checkboxFA">
                  <label class="">
                    <input id="ts4FA" type="checkbox"> Solo activos
                  </label>
              </div> 
             </div>
          </div>
          <div class="row">
            <p class="bg-success">
              FECHA DE ENVIO
            </p>
          </div>
          <div class="row">
            <div class="col-md-3 col-md-offset-1">
              <label for="comboFiltroF">Filtrar por:</label>
              <div class="fg-line">
                <div class="select">
                  <select class="form-control" id="comboFechasFA">
                    <option value="0">Cualquier Fecha</option>
                    <option value="h">hoy</option>
                    <option value="f">Fecha</option>
                    <option value="ef">Entre Fechas</option>
                  </select>
                </div>
              </div>
              <p></p>
            </div>
            <div class="col-md-2">
              <label for="txtfecha1">Del:</label>
              <input type="text" class="form-control" id="txtfechaFA1">
              <p></p>
            </div>
            <div class="col-md-2">
              <label for="txtfecha2">Hasta:</label>
              <input type="text" class="form-control" id="txtfechaFA2">
              <p></p>
            </div>
          </div>
          <div class="row">
            <p class="bg-success">
              OFICINA ORIGEN
            </p>
          </div>
          <div class="row">
            <div class="col-md-1 col-md-offset-1"  align="right">
              <h4><b style="font-size: 15px;">Oficina:</b></h4> 
            </div>
            <div class="col-md-5" >
              <div class="select">
                  <select id="ComboOficinaFA" placeholder="Seleccione Oficina">   
                  </select>
              </div>
            </div>
          </div>
          <div class="row">
            <p class="bg-success">
              NOMBRES Y APELLIDOS (benefiaciado o solicitante)
            </p>
          </div>
          <div class="row">
            <div class="col-md-3 col-md-offset-1">
             <input type="text" class="form-control" id="txtnombreFA" placeholder="NOMBRE">
              <p></p>
            </div>
            <div class="col-md-3">
             <input type="text" class="form-control" id="txtapFA" placeholder="A. PATERNO">
              <p></p>
            </div>
            <div class="col-md-3">
             <input type="text" class="form-control" id="txtamFA" placeholder="A. MATERNO">
              <p></p>
            </div>
          </div>
          <div class="row">
            <p class="bg-success">
              EXTRAS
            </p>
          </div>
          <div class="row">
            <div class="col-md-2 col-md-offset-1">
              <label>Nro por Pagina</label>
            </div>
            <div class="col-md-2">
             <input type="text" class="form-control" id="txtnropagFA" placeholder="20">
              <p></p>
            </div>
          </div>
          <div class="row">
            <div class="col-md-4 col-md-offset-4" >
              <button type="button" class="btn btn-inverse btn-block" id="ProcesarFA"> <span class="glyphicon glyphicon-hourglass"></span> FILTRAR</button>
              <p></p>
            </div>

          </div>
          
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-danger" data-dismiss="modal">Cerrar</button>
        </div>
      </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->
<!-- end modal filtro avanzado-->    
<!-- filtro bancos 11-06-2020 -->
<div id="modalFiltroBanco" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
          <br>
        </div>
        <div class="modal-body">
            <div class="row">
              <div class="col-md-12">
                <p class="bg-success">
                  <B>FECHA DE CREACION</B>
                </p>
              </div>
              
            </div>
            <div class="row">
              <div class="col-md-4">
                <label for="comboFechasFB">Filtrar por:</label>
                <div class="fg-line">
                  <div class="select">
                    <select class="form-control" id="comboFechasFB">
                      <option value="0">Cualquier Fecha</option>
                      <option value="h">hoy</option>
                      <option value="f">Fecha</option>
                      <option value="ef">Entre Fechas</option>
                    </select>
                  </div>
                </div>
                <p></p>
              </div>
              <div class="col-md-4">
                <label for="txtfecha1B">Del:</label>
                <input type="text" class="form-control" id="txtfechaFA1B">
                <p></p>
              </div>
              <div class="col-md-4">
                <label for="txtfecha2B">Hasta:</label>
                <input type="text" class="form-control" id="txtfechaFA2B">
                <p></p>
              </div>
            </div>
            <div class="row">
              <div class="col-md-6">
                <label for="comboEstadoBanco">Estado de Trnasferncia Banco:</label>
                <div class="fg-line">
                  <div class="select">
                    <select class="form-control" id="comboEstadoBanco">
                      <option value="0">Todos</option>
                      <option value="v">Verificado</option>
                      <option value="nv">Por Verificar</option>
                      <option value="l">Leido</option>
                      <option value="nl">Por Leer</option>
                    </select>
                  </div>
                </div>
                <p></p>
              </div>
            </div>
            <div class="row">
              <div class="col-md-12">
                <p class="bg-info">
                  <B>BANCO</B>
                </p>
              </div>
              
            </div>
            <div class="row">
              <div class ="col-md-12">
                <div class="row">
                  <div class="col-md-12" align="center" style="background-color: #c5cae9;">
                    <label style="margin-bottom: 5px; margin-right: 10px;" align="center">
                        <input type="radio" name="banco" id="rbbn" value="bn" checked><br>
                        Banco Nacion 
                    </label>
                    <label style="margin-bottom: 5px;margin-right: 10px;" align="center">
                        <input type="radio" name="banco" id="rbcn" value="cn"><br>
                        Continental
                    </label>
                    <label style="margin-bottom: 5px;margin-right: 10px;" align="center">
                        <input type="radio" name="banco" id="rbbcp" value="bcp"><br>
                        BCP
                    </label>
                    <label style="margin-bottom: 5px;" align="center">
                        <input type="radio" name="banco" id="rbotro" value="otro"><br>
                        Otros
                    </label>
                  </div>
                </div>
              </div>
            </div>
            <p></p>
            <div class="row">
              <div class="col-md-2 col-md-offset-1">
                <label>Nro por Pagina</label>
              </div>
              <div class="col-md-2">
               <input type="text" class="form-control" id="txtnropagFAB" placeholder="100">
                <p></p>
              </div>
            </div>
            <div class="row">
              <div class="col-md-4 col-md-offset-4" >
                <button type="button" class="btn btn-success btn-block btn-sm" id="ProcesarFAB"> <span class="glyphicon glyphicon-hourglass"></span> FILTRAR</button>
                <p></p>
              </div>

            </div>
        </div>
      </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->
<script type="text/JavaScript">
    var mon_m='S/. '
    var Aux="";
    var filaI =0;
    var pagina=1;
    var nombreBeneficiado="";
    var apBeneficiado="";
    var amBeneficiado="";
    var check_cta="no";
    var regexpCel=new RegExp("[9][0-9]{8}$");
    $(document).ready(function(){

      $('#txtN').numeric(); 
      $('#txtEgreso').numeric(".");
      $('#txtIngreso').numeric(".");
      $("#txtcel_bene").numeric();

      $("#txtcel_bene").keyup(function(){
        if($(this).val()!=null && $(this).val().trim() !=''){
          if(regexpCel.test($(this).val())){
            $("#campo_cel").removeClass('alert-danger');
          }
          else{
            $("#campo_cel").addClass('alert-danger');
          }
        }
        else{
          $("#campo_cel").removeClass('alert-danger');
        }
      });

      $("#txtN").keyup(function(){
        if($("#txtDniMenor").val()=="no" && ($("#txtNroCtaBanco").val()=="-1" || $("#txtNroCtaBanco").val()==-1)){
          if($(this).val().trim()!=''){
             $("#pagoT").prop('disabled',false);
          }
          else{
            $("#pagoT").prop('disabled',true);
          }
        } 
        if($("#txtDniMenor").val()=="si"){
          if($(this).val().trim()!=''){
             $("#pagoT").prop('disabled',false);
          }
          else{
            $("#pagoT").prop('disabled',true);
          }
        }
      });

      $("#txtNroCta").keyup(function(){
         var val=$(this).val();
         if(val==$("#txtNroCtaBanco").val().trim()){
          $("#txtDivMsje").addClass("hidden");
          $("#pagoT").prop('disabled',false);
         }else{
          $("#txtDivMsje").removeClass("hidden")
          $("#txtMsjNroCta").text("El nro de cta no coincide con el creado");
          $("#pagoT").prop('disabled',true);
         }

      });

      
      $("#pagoT").prop('disabled',true);

      $("#pagoT").click(function(){
        if($("#txtcel_bene").val()!=null && $("#txtcel_bene").val().length ==9){

          $("#idn").text($("#txtN").val());
          //$("#pagoT").button('loading');
          {% ifnotequal pt_sin_dni 'si' %}
          /*
          if($("#txtDniMenor").val()=="no"){
            if($("#txtNroCtaBanco").val().trim()!="" && $("#txtNroCtaBanco").val().trim()!=-1 && $("#txtNroCtaBanco").val().trim()!="-1"){
                $('#modal_confirmacion').modal('show');
              }
              else{
                $("#pagoT").button('loading');
                if($("#txtN").val().length>=8){ 
                    $.ajax({
                      data:{'dni':$("#txtN").val()},
                      url:'/clientes_autocompletado_user_dni_ajax/',
                      //async:false,
                      type:'GET',
                      dataType:'json',
                      success: function(data){ 
                        if(data=="fail1"){
                              bootbox.alert("Ocurrio un error. Vuelva a intentarlo");
                            }else{
                              //if(data=="fail"){
                                 
                                consulta();
                              }else{
                                nombreBeneficiado=data.nombre;
                                apBeneficiado=data.ap;
                                amBeneficiado=data.am;
                                var nCompleto=nombreBeneficiado+" "+apBeneficiado+" "+amBeneficiado;
                                $("#txtDatosC").text("Datos Creados : "+$("#txtNombres_Bene").text());
                                $("#txtDatosR").text("Datos RENIEC : "+nCompleto);
                                var n=levDist($("#txtNombres_Bene").text().trim(),nCompleto.trim());
                                //alert(n);
                                $("#pagoT").button('reset');
                                if(n<=5){
                                  $('#modal_confirmacion').modal('show'); 
                                }else{
                                  $('#modal_confirmacion_reniec').modal('show'); 
                                }
                              }
                            }
                          //--- comentarizado
                        if(data=="fail"){
                            consulta();
                          }else{ 
                            nombreBeneficiado=data.nombre;
                            apBeneficiado=data.ap;
                            amBeneficiado=data.am;
                            var nCompleto=nombreBeneficiado+" "+apBeneficiado+" "+amBeneficiado;
                            $("#txtDatosC").text("Datos Creados : "+$("#txtNombres_Bene").text());
                            $("#txtDatosR").text("Datos BD : "+nCompleto);
                            var n=levDist($("#txtNombres_Bene").text(),nCompleto);
                            $("#pagoT").button('reset');
                            //if(n<=10){
                              $('#modal_confirmacion').modal('show'); 
                            //}else{
                              $('#modal_confirmacion_reniec').modal('show'); 
                            //}
                          }
                        console.log(data);
                      },
                      error: function(xhr, textStatus, errorThrown) { 
                          $("#pagoT").button('reset');
                          console.log(xhr.responseText);
                      },
                    });
                
                }
            }
          }
          else{
              
                $('#modal_confirmacion').modal('show');
              
          }
          */
            $('#modal_confirmacion').modal('show');
          {% else %}
            $('#modal_confirmacion').modal('show');
          {% endifnotequal %}
        }
        else{
          bootbox.alert({ 
            message: "Complete el campo de Celular del beneficiado",
            className: 'bb-alternate-modal'
          }); 
        }

      });
      
      $("#buscar").click(function(){
        $('#listaTransf').html('');
        pagina=1;
        PonerInicioPag();
        Transferencias();
      });

      $("#RefrescarLista").click(function(){
        Transferencias();
      });

      $(document).on("click",".filaTrans",function(){
        $("#txtN").val(null);
        $("#txtNroCta").val(null);
        limpiar_det_banco();
        $('#txtIDtrans').prop("value",null);
        
        var num = $(this).attr('id');
        filaI = num;
        var fila= $(this).attr('class');
        //$('#extornarT').show();
        //$('#ForzarpagoT').show();
        $('#txtIDtrans').prop("value",Aux[filaI].id_trans);
        nombreBeneficiado="";
        apBeneficiado="";
        amBeneficiado="";

        $('#divReniec').addClass("hidden");
        $("#txtNombres_BeneReniec").text("");
        $('#pagoT').show();
        $('#txtN').prop('disabled',false);
        $("#areap").show();
        $("#area_transfExpi").hide();
        $("#txtCodA").prop('value',"");
        //--------------
        $("#txtcel_bene").prop('value',null);
        $("#txtObspa").prop("value",null);
        $("#txtEgreso").prop("value",null);
        $("#txtIngreso").prop("value",null);
        $('#txtEstadoTrans').prop("value",Aux[filaI].estado);
        $('#txtDNI').prop("value",Aux[filaI].dni_rmt);
        $("#txtDniMenor").val(Aux[filaI].dniMenor);
      
        $("#txtNroCtaBanco").val(Aux[filaI].nroCta.toString().trim());

        if($("#txtDniMenor").val()=="no"){ 
          //$("#divPago").removeClass();
          //$("#divPago").addClass("panel panel-info");
          if(Aux[filaI].nroCta==-1 || Aux[filaI].nroCta=="-1"){
          $("#divDNI").removeClass("hidden");  
            $("#pagoT").prop('disabled',true);
          }else{ 
            $("#divDNI").addClass("hidden");
             $("#pagoT").prop('disabled',true);
          }
        }else{

          //$("#divPago").removeClass();
          //$("#divPago").addClass("panel panel-warning");

          if(Aux[filaI].nroCta==-1 || Aux[filaI].nroCta=="-1"){
            $("#divDNI").removeClass("hidden");
            $("#pagoT").prop('disabled',false);
          }else{
            $("#divDNI").addClass("hidden");
             $("#pagoT").prop('disabled',true);
          }

          //$("#pagoT").prop('disabled',false);
        }

        if(Aux[filaI].nroCta==-1 || Aux[filaI].nroCta=="-1" || Aux[filaI].nroCta==""){
          $("#divDNI").removeClass("hidden");
          $("#divNroCtaST").addClass("hidden");
          $("#divNroCta").addClass("hidden");
        }else{
          $("#divDNI").addClass("hidden");
          $("#divNroCtaST").removeClass("hidden");
          $("#divNroCta").removeClass("hidden");
        }

         $("#plB").text(Aux[filaI].nombre_bnf +"\n"+ Aux[filaI].paterno_bnf +" "+ Aux[filaI].materno_bnf);
        //$('#txtNombres_Soli').prop("value",Aux[filaI].nombre_rmt+" "+Aux[filaI].paterno_rmt +" "+ Aux[filaI].materno_rmt);
        //$('#txtNombres_Bene').prop("value",Aux[filaI].nombre_bnf +" "+ Aux[filaI].paterno_bnf +" "+ Aux[filaI].materno_bnf);
        $('#txtNombres_Soli').text(Aux[filaI].nombre_rmt+" "+Aux[filaI].paterno_rmt +" "+ Aux[filaI].materno_rmt);
        $('#txtNombres_Bene').text(Aux[filaI].nombre_bnf +" "+ Aux[filaI].paterno_bnf +" "+ Aux[filaI].materno_bnf);
        //$("#txtN").prop('value',Aux[filaI].dni_bnf);
        //$('#txtIDtrans').prop("value",Aux[filaI].id_trans);
        $('#txtFecha').prop("value",Aux[filaI].fecha);
        $('#txtPersonalE').prop("value",Aux[filaI].op_emisor);
        $('#txtOficinaOri').prop("value",Aux[filaI].oficina_ori);
         $('#txtMensaje').text("Comuníquese con la oficina de "+Aux[filaI].oficina_ori+" para que modifique los datos del beneficiado de acuerdo a la RENIEC.");
        $("#nrodias").text(Aux[filaI].dias);
        //$('#txtMonto').prop("value",Aux[filaI].monto);
        //$('#txtComicion').prop("value",Aux[filaI].comicion);
        $('#txtMonto').text(Aux[filaI].monto);
        $('#txtComicion').text(Aux[filaI].comicion);
        $('#txtnr').text(Aux[filaI].nroRecibo);
        $('#txtObs').prop("value",Aux[filaI].obs);
        $("#nror").text("NRO: "+Aux[filaI].nroRecibo);
        $("#idST").text("ST: "+Aux[filaI].id_trans);
        $('#txtotros_con').prop("value",Aux[filaI].otros_conceptos);
        $("#fechaCreacion").text(Aux[filaI].fecha);
        //------------pagados----------
        $("#txtPagador").prop('value',Aux[filaI].UsuPagador);
        $("#txtFechaPago").prop('value',Aux[filaI].fp);
        //-----------------------------
        $("#plR").text(Aux[filaI].nombre_rmt+"\n"+Aux[filaI].paterno_rmt +" "+ Aux[filaI].materno_rmt);
        $("#plObs").text($("#txtObspa").val());
        var mr="";
        if(Aux[filaI].moneda=="soles")
          {
            mr="S/. "
            mon_m=mr;
          }
        else
          {
            mr="$/. "
            mon_m=mr;
        }
        $("#plM").text(mr +String(Aux[filaI].monto));
        $("#plOri").text(Aux[filaI].oficina_ori);
        var fecha = new Date();
        var mes = [
                "Enero",
                "Febrero",
                "Marzo",
                "Abril",
                "Mayo",
                "Junio",
                "Julio",
                "Agosto",
                "Septiembre",
                "Octubre",
                "Noviembre",
                "Diciembre"
                ];
        var textofecha= fecha.getDate() + " de " +mes[fecha.getMonth()] + " del " + fecha.getFullYear();
        var hora = new Date();
        var textohora = hora.getHours() + ":" + hora.getMinutes();
        $("#fepa").text(textofecha);
        $("#hopa").text(textohora);
        //
        $("#fechaReciboin").text(textofecha);
        $("#fechaReciboeg").text(textofecha);
        $("#horaReciboin").text(textohora);
        $("#horaReciboeg").text(textohora);
        if(Aux[filaI].estado !="activo"){
          $('#pagoT').hide();
          $("#areap").hide();
          $('#txtN').prop('disabled',true);
          $("#area_transfExpi").hide();
        }
        else{
          if(Aux[filaI].transEx=="si5"){
            $("#area_transfExpi").show();
          }
        }
        $("#divDetBanco").hide();
        $("#txtdetb-banco").val(null);
        $("#txtdetb-nrocta").val(null);
        $("#txtdetb-celref").val(null);
        $("#txtdetb-nroope").val(null);
        $("#txtdetb-nrogiro").val(null);
        $("#txtdetb-clave").val(null);
        if(Aux[filaI].banco.length>2){
          $("#divDetBanco").show();
          $("#txtdetb-banco").val(Aux[filaI].banco);
          $("#txtdetb-nrocta").val(Aux[filaI].nroCta);
          $("#txtdetb-celref").val(Aux[filaI].cel_referencia);
          $("#txtdetb-nroope").val(Aux[filaI].nro_operacion);
          $("#txtdetb-nrogiro").val(Aux[filaI].nro_giro);
          $("#txtdetb-clave").val(Aux[filaI].clave);
          //consulta
          //ajax_detalle_banco();
        }
        else{
          $("#pagoT").prop('disabled',true);
        }
        $("#btn_leido_banco").hide();
        $("#btn_anular_leido_banco").hide();
        $("#b_estado_banco").text("");
        $("#div_estado_banco").css('background-color', '#FFFFFF');
        if(Aux[filaI].estado =="activo"){
          if(Aux[filaI].estado_banco=='leido'){
            $("#btn_anular_leido_banco").show();
            $("#b_estado_banco").text("LEIDO");
            $("#div_estado_banco").css('background-color', '#F6BC69');

          }
          else{
             $("#btn_leido_banco").show();
             
          }
        }
      });
      //otra funcion
      function ocultarmodal(){
        $('#myModal').modal('hide')
      };

      function limpiar_det_banco(){
        $("#txtdetb-banco").val(null);
        $("#txtdetb-celref").val(null);
        $("#txtdetb-nrocta").val(null);
        $("#txtdetb-nroope").val(null);
        $("#txtdetb-nrogiro").val(null);
        $("#txtdetb-clave").val(null);
      }
      function ajax_detalle_banco(){
        $('#divDetBanco').waitMe({effect : 'win8_linear',text : '[Consorcio Imperial] Recuperando Datos',color:'#3f3479',fontSize:'18px'});
        $.ajax({
          data:{'id_st':$('#txtIDtrans').val()},
          url:'/detalle_banco_st/',
          //async:false,
          type:'GET',
          dataType:'json',
          success: function(data){
            $('#divDetBanco').waitMe('hide');
            if(data.exito=="exito"){
              $("#txtdetb-banco").val(data.banco);
              $("#txtdetb-celref").val(data.celref);
              $("#txtdetb-nrocta").val(data.cta_dni);
              $("#txtdetb-nroope").val(data.nro_ope);
              $("#txtdetb-nrogiro").val(data.nro_giro);
              $("#txtdetb-clave").val(data.clave);
              //
              $("#txtcel_bene").val(data.celref);
              $("#pagoT").prop('disabled',false);
              //--- actions
              $("#btn_verificado").hide();
              $("#btn_anular_verificado").hide();
              $("#btn_leido_banco").hide();
              $("#btn_anular_leido_banco").hide();
              $("#b_estado_banco").text("");
              $("#div_estado_banco").css('background-color', '#FFFFFF');
              if(Aux[filaI].estado =="activo"){
                if(Aux[filaI].estado_banco=='leido'){
                  $("#btn_anular_leido_banco").show();
                  $("#b_estado_banco").text("LEIDO");
                  $("#div_estado_banco").css('background-color', '#F6BC69');

                }
                else{
                   $("#btn_leido_banco").show();
                   
                }
              }
            }
            else{
              $('#divDetBanco').hide();
            }
          }
        });
      };
      //---
      //otra funcion
      function ajax_Transferencias(){
        $('.table-responsive').waitMe({effect : 'progressBar',text : 'Recuperando Datos'});
        $.ajax({
          data:{'pg':pagina,'filtro':$("#filtro").val()},
          url:'/listaTransfereciasRecibidas_alterna_ajax/',
          //async:false,
          type:'GET',
          dataType:'json',
          success: function(data){
            Aux = data;
            var html ="";
            for(var i=0;i<data.length;i++){
              var estado ="";
              if(data[i].estado=="pagado"){
                estado = "success";
              };
              if(data[i].pago_forzado=="si"){
                estado= "warning";
              };
              if(data[i].estado =="extornado"){
                estado="danger";
              };
              
              if(data[i].estado=="activo"){
                estado= '';
              };
              if(data[i].estado_banco=="leido"){
                estado= 'leido';
              };
              if(data[i].estado_banco=="verificado"){
                estado= 'verificado';
              };
              html += '<tr data-toggle="modal" data-target="#myModal" data-backdrop="static" class="filaTrans '+estado+'" id="'+i+'"><td>'+data[i].nombre_bnf+' '+data[i].paterno_bnf+' '+data[i].materno_bnf+'</td><td style="font-size:16px;font-weight:bold;">'+data[i].monto+'</td><td>'+data[i].nombre_rmt+' '+data[i].paterno_rmt+' '+data[i].materno_rmt+'</td><td>'+data[i].fecha+'</td><td style="color:#2e6da4;font-size:16px;font-weight:bold;">'+data[i].oficina_ori+'</td><td>'+data[i].nroRecibo+'</td><td><b>'+data[i].comicion+'</b></td><td>'+data[i].banco+'</td><td><b>'+data[i].monto_conceptos+'</b></td><td>'+data[i].moneda+'</td><td>'+data[i].otros_conceptos+'</td><td>'+data[i].estado+'</td></tr>';
            }
            $('#listaTransf').html(html);
            $('.table-responsive').waitMe('hide');
            //$("#progreso_ajax").hide();
          }
        });
      };
      //otra function
      function ajax_TransferenciasActivas(){
       $('.table-responsive').waitMe({effect : 'progressBar',text : 'Recuperando Datos'});
        $.ajax({
          data:{'pg':pagina,'filtro':$("#filtro").val()},
          url:'/listaTransfereciasRecibidas_alterna_act_ajax/',
          //async:false,
          type:'GET',
          dataType:'json',
          success: function(data){
            Aux = data;
            var html ="";
            for(var i=0;i<data.length;i++){
              var estado ="";
              if(data[i].estado=="pagado"){
                estado = "success";
              };
              if(data[i].pago_forzado=="si"){
                estado= "warning";
              };
              if(data[i].estado =="extornado"){
                estado="danger";
              };
              
              if(data[i].estado=="activo"){
                estado= '';
              };
              if(data[i].estado_banco=="leido"){
                estado= 'leido';
              };
              if(data[i].estado_banco=="verificado"){
                estado= 'verificado';
              };
              html += '<tr data-toggle="modal" data-target="#myModal" data-backdrop="static" class="filaTrans '+estado+'" id="'+i+'"><td>'+data[i].nombre_bnf+' '+data[i].paterno_bnf+' '+data[i].materno_bnf+'</td><td style="font-size:16px;font-weight:bold;">'+data[i].monto+'</td><td>'+data[i].nombre_rmt+' '+data[i].paterno_rmt+' '+data[i].materno_rmt+'</td><td>'+data[i].fecha+'</td><td style="color:#2e6da4;font-size:16px;font-weight:bold;">'+data[i].oficina_ori+'</td><td>'+data[i].nroRecibo+'</td><td><b>'+data[i].comicion+'</b></td><td>'+data[i].banco+'</td><td><b>'+data[i].monto_conceptos+'</b></td><td>'+data[i].moneda+'</td><td>'+data[i].otros_conceptos+'</td><td>'+data[i].estado+'</td></tr>';
            }
            $('#listaTransf').html(html);
            $('.table-responsive').waitMe('hide');
            //$("#progreso_ajax").hide();
          }
        });
      };
      //
     
     $(document).on('show.bs.modal', '.modal', function () {
            var zIndex = 1040 + (10 * $('.modal:visible').length);
            $(this).css('z-index', zIndex);
            setTimeout(function() {
                $('.modal-backdrop').not('.modal-stack').css('z-index', zIndex - 1).addClass('modal-stack');
            }, 0);
        });
      $(document).on('hidden.bs.modal', '.modal', function () {
          $('.modal:visible').length && $(document.body).addClass('modal-open');
      });

     
      $("#alert_aceptar").click(function(){
        mostrar_progress();
            $("#plObs").text($("#txtObspa").val());
             if($("#txtEgreso").val()==null || $("#txtEgreso").val().trim()==""){
              $("#importeeg").text(mon_m+"0.00");
            }
            else{
              $("#importeeg").text(mon_m+($("#txtEgreso").val()));
            }
            if($("#txtIngreso").val()==null || $("#txtIngreso").val().trim()==""){
              $("#importein").text(mon_m+"0.00");
            }
            else{
              $("#importein").text(mon_m+($("#txtIngreso").val()));
            }
        ajax_solicitudPago($("#txtIDtrans").val());
        ocultarmodal();
      });
      $("#ts4").click(function(){
        if($(this).prop("checked")){
          if ($("#ts5").prop("checked")){
            ajax_TransferenciasCBActivas();
          }
          else{
           ajax_Transferencias_Activas();
          }
        }
        else{
          if ($("#ts5").prop("checked")){
            ajax_TransferenciasCB();
          }
          else{
            Transferencias();
          }
          
        }
      });


      /*$("#txtN").focusout(function(){
          console.log("focusout");
          if($(this).val().length>=8){
            console.log("focusout");
            run_waitMe($('#myModalBody'), 1, "pulse","Consultando DNI...");
            $.ajax({
              data:{'dni':$("#txtN").val()},
              url:'/clientes_autocompletado_user_dni_ajax/',
              //async:false,
              type:'GET',
              dataType:'json',
              success: function(data){
                  if(data=="fail"){
                    consulta();
                  }else{
                    $('#myModalBody').waitMe('hide');
                    nombreBeneficiado=data.nombre;
                    apBeneficiado=data.ap;
                    amBeneficiado=data.am;
                    $('#divReniec').removeClass("hidden");
                    $("#txtNARBD").text("Nombres y Apellidos (BD)");
                    $("#txtNombres_BeneReniec").text(nombreBeneficiado+" "+apBeneficiado+" "+amBeneficiado);
                  }
                console.log(data);
              },
              error: function(xhr, textStatus, errorThrown) {
                  $('#myModalBody').waitMe('hide');
                  console.log(xhr.responseText);
              },
            });
          
          }
            
       });*/


     

      $("#ts5").click(function(){
      
        pagina=1;
        Transferencias();
        PonerInicioPag();
      });
      function ajax_Transferencias_Activas(){
        $('.table-responsive').waitMe({effect : 'progressBar',text : 'Recuperando Datos'});
        $.ajax({
          data:{'pg':pagina},
          url:'/listaTransfereciasActivas_ajax/',
          //async:false,
          type:'GET',
          dataType:'json',
          success: function(data){
            Aux = data;
            var html ="";
            for(var i=0;i<data.length;i++){
              var estado ="";
              if(data[i].estado=="pagado"){
                estado = "success";
              };
              if(data[i].pago_forzado=="si"){
                estado= "warning";
              };
              if(data[i].estado =="extornado"){
                estado="danger";
              };
              
              if(data[i].estado=="activo"){
                estado= '';
              };
              if(data[i].estado_banco=="leido"){
                estado= 'leido';
              };
              if(data[i].estado_banco=="verificado"){
                estado= 'verificado';
              };
              html += '<tr data-toggle="modal" data-target="#myModal" data-backdrop="static" class="filaTrans '+estado+'" id="'+i+'"><td>'+data[i].nombre_bnf+' '+data[i].paterno_bnf+' '+data[i].materno_bnf+'</td><td style="font-size:16px;font-weight:bold;">'+data[i].monto+'</td><td>'+data[i].nombre_rmt+' '+data[i].paterno_rmt+' '+data[i].materno_rmt+'</td><td>'+data[i].fecha+'</td><td style="color:#2e6da4;font-size:16px;font-weight:bold;">'+data[i].oficina_ori+'</td><td>'+data[i].nroRecibo+'</td><td><b>'+data[i].comicion+'</b></td><td>'+data[i].banco+'</td><td><b>'+data[i].monto_conceptos+'</b></td><td>'+data[i].moneda+'</td><td>'+data[i].otros_conceptos+'</td><td>'+data[i].estado+'</td></tr>';
            }
            $('#listaTransf').html(html);
            $('.table-responsive').waitMe('hide');
            //$("#progreso_ajax").hide();
          }
        });
      };
      //otra fucnio
      function ajax_TransferenciasCBActivas(){
        $('.table-responsive').waitMe({effect : 'progressBar',text : 'Recuperando Datos'});
        $.ajax({
          data:{'pg':pagina},
          url:'/ListaTransRecibidasCBActiva_ajax/',
          //async:false,
          type:'GET',
          dataType:'json',
          success: function(data){
            Aux = data;
            var html ="";
            for(var i=0;i<data.length;i++){
              var estado ="";
              if(data[i].estado=="pagado"){
                estado = "success";
              };
              if(data[i].pago_forzado=="si"){
                estado= "warning";
              };
              if(data[i].estado =="extornado"){
                estado="danger";
              };
              
              if(data[i].estado=="activo"){
                estado= '';
              };
              if(data[i].estado_banco=="leido"){
                estado= 'leido';
              };
              if(data[i].estado_banco=="verificado"){
                estado= 'verificado';
              };
              html += '<tr data-toggle="modal" data-target="#myModal" data-backdrop="static" class="filaTrans '+estado+'" id="'+i+'"><td>'+data[i].nombre_bnf+' '+data[i].paterno_bnf+' '+data[i].materno_bnf+'</td><td style="font-size:16px;font-weight:bold;">'+data[i].monto+'</td><td>'+data[i].nombre_rmt+' '+data[i].paterno_rmt+' '+data[i].materno_rmt+'</td><td>'+data[i].fecha+'</td><td style="color:#2e6da4;font-size:16px;font-weight:bold;">'+data[i].oficina_ori+'</td><td>'+data[i].nroRecibo+'</td><td><b>'+data[i].comicion+'</b></td><td>'+data[i].banco+'</td><td><b>'+data[i].monto_conceptos+'</b></td><td>'+data[i].moneda+'</td><td>'+data[i].otros_conceptos+'</td><td>'+data[i].estado+'</td></tr>';
            }
            $('#listaTransf').html(html);
            $('.table-responsive').waitMe('hide');
            //$("#progreso_ajax").hide();
          }
        });
      };
     //-------------
      //otra fucnio
      function ajax_TransferenciasCB(){
        $('.table-responsive').waitMe({effect : 'progressBar',text : 'Recuperando Datos'});
        $.ajax({
          data:{'pg':pagina},
          url:'/ListaTransRecibidasCB_ajax/',
          //async:false,
          type:'GET',
          dataType:'json',
          success: function(data){
            Aux = data;
            var html ="";
            for(var i=0;i<data.length;i++){
              var estado ="";
              if(data[i].estado=="pagado"){
                estado = "success";
              };
              if(data[i].pago_forzado=="si"){
                estado= "warning";
              };
              if(data[i].estado =="extornado"){
                estado="danger";
              };
              
              if(data[i].estado=="activo"){
                estado= '';
              };
              if(data[i].estado_banco=="leido"){
                estado= 'leido';
              };
              if(data[i].estado_banco=="verificado"){
                estado= 'verificado';
              };

              html += '<tr data-toggle="modal" data-target="#myModal" data-backdrop="static" class="filaTrans '+estado+'" id="'+i+'"><td>'+data[i].nombre_bnf+' '+data[i].paterno_bnf+' '+data[i].materno_bnf+'</td><td style="font-size:16px;font-weight:bold;">'+data[i].monto+'</td><td>'+data[i].nombre_rmt+' '+data[i].paterno_rmt+' '+data[i].materno_rmt+'</td><td>'+data[i].fecha+'</td><td style="color:#2e6da4;font-size:16px;font-weight:bold;">'+data[i].oficina_ori+'</td><td>'+data[i].nroRecibo+'</td><td><b>'+data[i].comicion+'</b></td><td>'+data[i].banco+'</td><td><b>'+data[i].monto_conceptos+'</b></td><td>'+data[i].moneda+'</td><td>'+data[i].otros_conceptos+'</td><td>'+data[i].estado+'</td></tr>';
            }
            $('#listaTransf').html(html);
             $('.table-responsive').waitMe('hide');
            //$("#progreso_ajax").hide();
          }
        });
      };
      function Transferencias(){
          if ($("#ts5").prop("checked")){
            $("#act").prop("checked",false);
            if($("#ts4").prop("checked")) { 
                ajax_TransferenciasCBActivas();
            } 
            else {
                ajax_TransferenciasCB();
            }
          }
          else{
            if($("#act").is(':checked')) {  
              ajax_TransferenciasActivas();
            } else {
              ajax_Transferencias();
            }

          }
        
      };
      /*
      $("#filtro").keyup(function(){
        if($(this).val().length >= 5){
          Transferencias();
        }
      });*/
      function mostrar_progress(){
        $(".grp_alr").hide();
        $(".grp_pgs").show();
      };
      function ocultar_progress(){//llamar desde la funcion
        $('#modal_confirmacion').modal('hide');
        $(".grp_alr").show();
        $(".grp_pgs").hide();
      };

       $("#solCod").click(function(){
        ajax_solicitudAut( $("#txtIDtrans").val());
      })
      $("#txtCodA").keyup(function(){
        if($(this).val().trim().length ==6){
           $("#pagoT").prop('disabled',false);
        }
        else{
          $("#pagoT").prop('disabled',true);
        }
      });
      //otra funcion
      function ajax_solicitudPago(idTransf){
        $.ajax({
          {% ifequal Egreso_pt 'si' %}
          data:{'idT':idTransf,'obs':$("#txtObspa").val(),'dni':$("#txtN").val(),'egreso':$("#txtEgreso").val(),'ingreso':$("#txtIngreso").val(),'cod_aut':$("#txtCodA").val(),'nrocta':$("#txtNroCta").val(),'nrooper':$("#txtdetb-nroope").val(),'nrogiro':$("#txtdetb-nrogiro").val(),'clave':$("#txtdetb-clave").val(),"dniMenor":$("#txtDniMenor").val(),'celular':$("#txtcel_bene").val(),'monto':$('#txtMonto').text(),'comi':$('#txtComicion').text(),'nr':$('#txtnr').text(),'ptsnvd':'{{pt_sin_dni}}','check_cta':check_cta},
          {% else %}
          data:{'idT':idTransf,'obs':$("#txtObspa").val(),'dni':$("#txtN").val(),'ingreso':$("#txtIngreso").val(),'cod_aut':$("#txtCodA").val(),'nrocta':$("#txtNroCta").val(),'nrooper':$("#txtdetb-nroope").val(),'nrogiro':$("#txtdetb-nrogiro").val(),'clave':$("#txtdetb-clave").val(),"dniMenor":$("#txtDniMenor").val(),'celular':$("#txtcel_bene").val(),'monto':$('#txtMonto').text(),'comi':$('#txtComicion').text(),'nr':$('#txtnr').text(),'ptsnvd':'{{pt_sin_dni}}','check_cta':check_cta},
          {% endifequal %}
          url:'/Pagar_tranf_ajax/',
          //async:false,
          type:'GET',
          dataType:'json',
          success: function(data){
            if(data.exito=='exito'){
              $("#nror").text(data.nr);
              $("#pteg").text(data.nr);
              $("#ptin").text(data.nr);
              $("#nroin").text(data.nri);
              $("#nroeg").text(data.nre);
              $("#ExitoMensaje").prop('class','bg-info');
              $("#ExitoMensaje").text("La transferencia se PAGO!");
              /*
              bootbox.alert({ 
                message: "La transferencia se pago",
                className: 'bb-alternate-modal'
              });
              */
              swal("Exito", "La transferencia se pago", "success");

              if($.trim(nombreBeneficiado)!="")
                $("#plB").text(nombreBeneficiado +"\n"+ apBeneficiado +" "+ amBeneficiado);
              // $("#plB").text(nombreBeneficiado +" "+ apBeneficiado +" "+ amBeneficiado);
              $('#platillaI').printThis();
              if(data.nri !=""){
                $('#platillaIngreso').printThis();
              }
              if(data.nre!=""){
                $('#platillaEgreso').printThis();
              }
              ocultar_progress();
              Transferencias();
               $('#txtN').prop("value",' ');
             }
           else{
              ocultar_progress();
              $("#ExitoMensaje").prop('class','bg-danger');
              $("#ExitoMensaje").text(" la operacion fallo " + data.exito);
              swal("Error", data.exito, "error");
              /*
              bootbox.alert({ 
                  message: "La Operación falló",
                  className: 'bb-alternate-modal'
                });
              */
             }
          }
        });
      };
      //otra funcion
      
       function ajax_solicitudAut(idTransf){
        $.ajax({
          data:{'idTr':idTransf},
          url:'/solicitud_Autorizacion_retiro_trans_ajax/',
          //async:false,
          type:'GET',
          dataType:'text',
          success: function(data){
            if(data=='exito'){

              bootbox.alert({ 
                message: "Operación exitosa. Se solicito el codigo de autorización",
                className: 'bb-alternate-modal'
              });

             }
             else{
               bootbox.alert({ 
                  message: "Error "+data,
                  className: 'bb-alternate-modal'
                });
               }
          }
        });
      };

      function PonerInicioPag(){
          $(".pag").attr('class','pag');
          $("#pag1").attr('class','active pag');
      };
      
     
     //-------------------
     $(".pag").click(function(){
        $(".pag").attr('class','pag');
        $(this).attr('class','active pag');
        pagina = $(this).text();
        //Transferencias();
        if($("#trans-act").prop("checked")){
          ajax_Transferencias_Activas();
        }
        else{
          Transferencias();
        }
      })
      $("#ant").click(function(){
        var pag = $("#pg1").text();
        pag= parseInt(pag);
        if(pag>1){
          $("#pg1").text(pag-1);
          pagina = pag-1;
          Transferencias();
        }
      });
      $("#pos").click(function(){
        var pag = $("#pg1").text();
        pag= parseInt(pag);
        $("#pg1").text(pag+1);
        pagina = pag+1;
        Transferencias();
      });
     //
     //------------------------------------------
     //--------- filtro avanzado
      $('#txtnropagFA').numeric(); 
      $('#txtfechaFA1').datetimepicker({
        locale: 'es',
        format: 'YYYY-MM-DD'
      });
      $('#txtfechaFA2').datetimepicker({
        locale: 'es',
        format: 'YYYY-MM-DD'
      });
      $("#txtfechaFA1").hide();
      $("#txtfechaFA2").hide();
      $("#comboFechasFA").change(function(){
        if($(this).val()=="0"||$(this).val()=="h"){
          $("#txtfechaFA1").hide();
          $("#txtfechaFA2").hide();
        }
        if($(this).val()=="f"){
          $("#txtfechaFA1").show();
          $("#txtfechaFA2").hide();
        }
        if($(this).val()=="ef"){
          $("#txtfechaFA1").show();
          $("#txtfechaFA2").show();
        }
      });
      ajax_oficinaOri();
       function ajax_oficinaOri(){
          $.ajax({
            {% ifequal OfCentral 'si' %}
            url:'/oficinas_version3_ajax/',
            {% else %}
             url:'/oficinas_version2_ajax/',
            {% endifequal %}
            type:'GET',
            dataType:'json',
            success: function(data){
            var html ='<option value="0">Todas las oficinas</option>';
              $("#ComboOficinaFA").html('');
              for(var i=0;i<data.length;i++){
                if(data[i].bx == 'si'){
                  html += '<option value="'+data[i].pk+'" style="background-color: #FFA;color: #000;">'+data[i].nombre_oficina+'</option>';
                }
                else{
                  html += '<option value="'+data[i].pk+'">'+data[i].nombre_oficina+'</option>';
                }
              }
              $('#ComboOficinaFA').html(html);
              $('#ComboOficinaFA').selectize();
            }
          });
        };
        //----
        $("#ProcesarFA").click(function(){
          var saFA=null;
          if($("#ts4FA").prop("checked")){
            saFA="sa";
          }
          ajax_TransferenciasFA(saFA);
        })
        //-------

        //--------
        function ajax_TransferenciasFA(sa){
        $('.table-responsive').waitMe({effect : 'progressBar',text : 'Recuperando Datos'});
        $.ajax({
          data:{'pg':pagina,'filtroF':$("#comboFechasFA").val(),'fDesde':$("#txtfechaFA1").val(),'fHasta':$("#txtfechaFA2").val(),'sa':sa,'oficina':$("#ComboOficinaFA").val(),'fNombre':$("#txtnombreFA").val(),'fAp':$("#txtapFA").val(),'fAm':$("#txtamFA").val(),'nroXpag':$("#txtnropagFA").val()},
          url:'/listaTransfereciasRecibidas_filtro_avanzado_ajax/',
          //async:false,
          type:'GET',
          dataType:'json',
          success: function(data){
            Aux = data;
            var html ="";
            for(var i=0;i<data.length;i++){
              var estado ="";
              if(data[i].estado=="pagado"){
                estado = "success";
              };
              if(data[i].pago_forzado=="si"){
                estado= "warning";
              };
              if(data[i].estado =="extornado"){
                estado="danger";
              };
              
              if(data[i].estado=="activo"){
                estado= '';
              };
              if(data[i].estado_banco=="leido"){
                fondo= '#F6BC69';
              };
              if(data[i].estado_banco=="verificado"){
                fondo= '#9788e6';
              };
              html += '<tr data-toggle="modal" data-target="#myModal" data-backdrop="static" class="filaTrans '+estado+'" id="'+i+'"><td>'+data[i].nombre_bnf+' '+data[i].paterno_bnf+' '+data[i].materno_bnf+'</td><td style="font-size:16px;font-weight:bold;">'+data[i].monto+'</td><td>'+data[i].nombre_rmt+' '+data[i].paterno_rmt+' '+data[i].materno_rmt+'</td><td>'+data[i].fecha+'</td><td style="color:#2e6da4;font-size:16px;font-weight:bold;">'+data[i].oficina_ori+'</td><td>'+data[i].nroRecibo+'</td><td><b>'+data[i].comicion+'</b></td><td><b>'+data[i].monto_conceptos+'</b></td><td>'+data[i].moneda+'</td><td>'+data[i].obs+'</td><td>'+data[i].otros_conceptos+'</td><td>'+data[i].estado+'</td></tr>';
            }
            $('#listaTransf').html(html);
             $('.table-responsive').waitMe('hide');
             $("#modalFiltroAvanzado").modal("hide");
            //$("#progreso_ajax").hide();
          }
        });
      };
        //------



     //
     //-----------------------------------------
     ///-------- filtro de bancos
    $('#txtnropagFAB').numeric(); 
    $('#txtfechaFA1B').datetimepicker({
      locale: 'es',
      format: 'YYYY-MM-DD'
    });
    $('#txtfechaFA2B').datetimepicker({
      locale: 'es',
      format: 'YYYY-MM-DD'
    });
    $("#txtfechaFA1B").hide();
    $("#txtfechaFA2B").hide();
    $("#comboFechasFB").change(function(){
      if($(this).val()=="0"||$(this).val()=="h"){
        $("#txtfechaFA1B").hide();
        $("#txtfechaFA2B").hide();
      }
      if($(this).val()=="f"){
        $("#txtfechaFA1B").show();
        $("#txtfechaFA2B").hide();
      }
      if($(this).val()=="ef"){
        $("#txtfechaFA1B").show();
        $("#txtfechaFA2B").show();
      }
    });
    $("#ProcesarFAB").click(function(){
      let banco_aux="ninguno";
      //banco de la nacion
      if($("#rbbn").prop('checked')){
        banco_aux = "Banco de la Nacion";
      }
      // continental
      if($("#rbcn").prop('checked')){
        banco_aux="Continental"
      }
      //bcp
      if($("#rbbcp").prop('checked')){
        banco_aux = "BCP"
      }
      //
       if($("#rbotro").prop('checked')){
        banco_aux ="Otros Bancos"
      }
        ajax_TransferenciasFAB(banco_aux);
        
    })

      //--------
      function ajax_TransferenciasFAB(bco){
      $('.table-responsive').waitMe({effect : 'progressBar',text : 'Recuperando Datos'});
      $.ajax({
        data:{'pg':pagina,'filtroF':$("#comboFechasFB").val(),'fDesde':$("#txtfechaFA1B").val(),'fHasta':$("#txtfechaFA2B").val(),'nroXpag':$("#txtnropagFAB").val(),'banco':bco,'fEstado':$("#comboEstadoBanco").val()},
        url:'/listaTransfereciasRecibidas_bancos_ajax/',
        //async:false,
        type:'GET',
        dataType:'json',
        success: function(data){
          Aux = data;
          var html ="";
          for(var i=0;i<data.length;i++){
            var estado ="";
            var fondo="#fff";
              if(data[i].estado=="pagado"){
                estado = "success";
              };
              if(data[i].pago_forzado=="si"){
                estado= "warning";
              };
              if(data[i].estado =="extornado"){
                estado="danger";
              };
              
              if(data[i].estado=="activo"){
                estado= '';
              };
              if(data[i].estado_banco=="leido"){
                fondo= '#F6BC69';
              };
              if(data[i].estado_banco=="verificado"){
                fondo= '#9788e6';
              };
              html += '<tr data-toggle="modal" data-target="#myModal" data-backdrop="static" class="filaTrans '+estado+'" id="'+i+'" style="background-color:'+fondo+'"><td>'+data[i].nombre_bnf+' '+data[i].paterno_bnf+' '+data[i].materno_bnf+'</td><td style="font-size:16px;font-weight:bold;">'+data[i].monto+'</td><td>'+data[i].nombre_rmt+' '+data[i].paterno_rmt+' '+data[i].materno_rmt+'</td><td>'+data[i].fecha+'</td><td style="color:#2e6da4;font-size:16px;font-weight:bold;">'+data[i].oficina_ori+'</td><td>'+data[i].nroRecibo+'</td><td><b>'+data[i].comicion+'</b></td><td><b>'+data[i].monto_conceptos+'</b></td><td>'+data[i].moneda+'</td><td>'+data[i].obs+'</td><td>'+data[i].otros_conceptos+'</td><td>'+data[i].estado+'</td></tr>';
            }
            $('#listaTransf').html(html);
          $("#modalFiltroBanco").modal("hide");
          $('.table-responsive').waitMe('hide');
        }
      });
    };
      //---
      // cambiar estatsu st bancos
      $("#btn_verificado").click(function(){
        ajax_verificado_banco();
      })
      function ajax_verificado_banco(){
        $('#divDetBanco').waitMe({effect : 'progressBar',text : 'Procesando'});
        $.ajax({
          data:{'idT':$('#txtIDtrans').val()},
          url:'/stVerificadoBanco_ajax/',
          //async:false,
          type:'GET',
          dataType:'text',
          success: function(data){
            $('#divDetBanco').waitMe('hide');
            if(data=='exito'){
              bootbox.alert({ 
                message: "Operación exitosa. Transferencia Verificado",
                className: 'bb-alternate-modal'
              });

             }
             else{
               bootbox.alert({ 
                  message: "Error "+data,
                  className: 'bb-alternate-modal'
                });
            }
            $("#myModal").modal("hide");
          }
           
        });
      };
      // cambiar estatsu st bancos
      $("#btn_anular_verificado").click(function(){
        ajax_anular_verificado_banco();
      })
      function ajax_anular_verificado_banco(){
        $('#divDetBanco').waitMe({effect : 'progressBar',text : 'Procesando'});
        $.ajax({
          data:{'idT':$('#txtIDtrans').val()},
          url:'/anular_stVerificadoBanco_ajax/',
          //async:false,
          type:'GET',
          dataType:'text',
          success: function(data){
            $('#divDetBanco').waitMe('hide');
            if(data=='exito'){
              bootbox.alert({ 
                message: "Operación exitosa. Transferencia Verificado Anulado",
                className: 'bb-alternate-modal'
              });

             }
             else{
               bootbox.alert({ 
                  message: "Error "+data,
                  className: 'bb-alternate-modal'
                });
            }
            $("#myModal").modal("hide");
          }
        });
      };
      // cambiar estatsu st bancos
      $("#btn_leido_banco").click(function(){
        ajax_leido_banco_banco();
      })
      function ajax_leido_banco_banco(){
        $('#divDetBanco').waitMe({effect : 'progressBar',text : 'Procesando'});
        $.ajax({
          data:{'idT':$('#txtIDtrans').val()},
          url:'/stLeidoBanco_ajax/',
          //async:false,
          type:'GET',
          dataType:'text',
          success: function(data){
            $('#divDetBanco').waitMe('hide');
            if(data=='exito'){
              bootbox.alert({ 
                message: "Operación exitosa. Transferencia Leido Banco",
                className: 'bb-alternate-modal'
              });
              Transferencias();
             }
             else{
               bootbox.alert({ 
                  message: "Error "+data,
                  className: 'bb-alternate-modal'
                });
            }
            $("#myModal").modal("hide");
          }
        });
      };
      // cambiar estatsu st bancos
      $("#btn_anular_leido_banco").click(function(){
        ajax_anular_leido_banco_banco();
      })
      function ajax_anular_leido_banco_banco(){
        $('#divDetBanco').waitMe({effect : 'progressBar',text : 'Procesando'});
        $.ajax({
          data:{'idT':$('#txtIDtrans').val()},
          url:'/anular_stLeidoBanco_ajax/',
          //async:false,
          type:'GET',
          dataType:'text',
          success: function(data){
            $('#divDetBanco').waitMe('hide');
            if(data=='exito'){
              bootbox.alert({ 
                message: "Operación exitosa. Transferencia Leido Banco Anulado",
                className: 'bb-alternate-modal'
              });
              Transferencias();
             }
             else{
               bootbox.alert({ 
                  message: "Error "+data,
                  className: 'bb-alternate-modal'
                });
            }
            $("#myModal").modal("hide");
          }
        });
      };
      //--
    });


    function levDist(str1,str2) {
        if (str1 == null) {
            return str2;
        }
        if (str2 == null) {
            return str1;
        }
        var at = indexOfDifference(str1, str2);
        if (at == -1) {
            return "";
        }
        return str2.substring(at);
    }

    function indexOfDifference(str1, str2) {
        if (str1 == str2) {
            return -1;
        }
        if (str1 == null || str2 == null) {
            return 0;
        }
        var i;
        for (i = 0; i < str1.length && i < str2.length; ++i) {
            if (str1.charAt(i) != str2.charAt(i)) {
                break;
            }
        }
        if (i < str2.length || i < str1.length) {
            return i;
        }
        return -1;
    }


</script>
<style type="text/css">
  .leido{
    background-color: #ffb74d ;
  }
  .leido:hover{
    background-color: #ffb74d  !important;
  }
</style>
{% endblock content1 %}
